Name:           rofi
Version:        1.4.2
Release:        1%{?dist}
Summary:        Window switcher, run dialog and dmenu replacement

License:        MIT
URL:            https://davedavenport.github.io/rofi/
Source0:        https://github.com/DaveDavenport/rofi/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  flex
BuildRequires:  pkgconfig(glib-2.0) >= 2.40
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(xcb-aux)
BuildRequires:  pkgconfig(xcb-xkb)
BuildRequires:  pkgconfig(xkbcommon) >= 0.5.0
BuildRequires:  pkgconfig(xkbcommon-x11)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-xrm)
BuildRequires:  pkgconfig(xcb-randr)
BuildRequires:  pkgconfig(xcb-xinerama)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(cairo-xcb)
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(check) >= 0.11.0

# https://github.com/sardemff7/libgwater
Provides:       bundled(libgwater)
# https://github.com/sardemff7/libnkutils
Provides:       bundled(libnkutils)

%description
A popup window switcher roughly based on superswitcher, requiring
only xlib and pango.

%package devel
Summary:        Header files for %{name}
Requires:       %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
%{summary}.

%prep
%autosetup
sed -i -e '1s|^#!/usr/bin/env bash|#!%{_bindir}/bash|' script/%{name}-{sensible-terminal,theme-selector}
chmod -x Examples/*

%build
%configure --disable-silent-rules
%make_build

%install
%make_install

%check
make check

%files
%doc AUTHORS Changelog README.md Examples
%license COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-sensible-terminal
%{_bindir}/%{name}-theme-selector
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-sensible-terminal.1*
%{_mandir}/man5/%{name}-theme.5*
%{_datadir}/%{name}/

%files devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sun Nov 05 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.4.2-1
- Update to 1.4.2

* Mon Jan 23 2017 Igor Gnatenko <ignatenko@redhat.com> - 1.3.1-1
- Update to 1.3.1
- Add Public Domain to license list
- Run tests

* Sun Nov 20 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.2.0-1
- Update to 1.2.0

* Sun Apr 17 2016 Maxim Orlov <murmansksity@gmail.com> - 1.0.0-1
- Update to 1.0.0
- Add xkbcommon dep version

* Sun Apr 03 2016 Maxim Orlov <murmansksity@gmail.com> - 1.0.0-0.1.rc1
- Update to 1.0.0rc1
- Add more BR's
- Use %%autosetup macro
- Remove tests
- Remove --enable-timings

* Sun Dec 27 2015 Maxim Orlov <murmansksity@gmail.com> - 0.15.12-1
- Update to 0.15.12

* Sun Nov 08 2015 Maxim Orlov <murmansksity@gmail.com> - 0.15.11-1
- Update to 0.15.11

* Sun Oct 25 2015 Maxim Orlov <murmansksity@gmail.com> - 0.15.10-1
- Update to 0.15.10

* Sun Sep 06 2015 Maxim Orlov <murmansksity@gmail.com> - 0.15.8-1
- Update to 0.15.8

* Fri Jul 24 2015 Maxim Orlov <murmansksity@gmail.com> - 0.15.7-1
- Initial package.
